## Read matches for string queries by ID `client.brandProtection.matches.get(MatchGetParamsparams, RequestOptionsoptions?): MatchGetResponse` **get** `/accounts/{account_id}/brand-protection/matches` Return matches for string queries based on ID ### Parameters - `params: MatchGetParams` - `account_id: string` Path param - `id?: string` Query param - `include_domain_id?: boolean` Query param - `limit?: number` Query param - `offset?: number` Query param ### Returns - `MatchGetResponse` - `matches?: Array>` - `total?: number` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const match = await client.brandProtection.matches.get({ account_id: 'x' }); console.log(match.matches); ``` #### Response ```json { "matches": [ { "foo": "bar" } ], "total": 0 } ```